﻿// JScript File



var SHIFT_KEY_PRESSED = 0;
var SELECTED_ITEMS = new Array();
var POS_LAST_CLICKED = 0;



function invokeSelectionChanged(pos1, pos2, isSelect)
{  
    Gaia.Control.callPageMethod('items_ClientSelectionChange', [pos1, pos2, isSelect], null);  
}



function item_Click(pos)
{
	var isSelect = true;  // true - selecting / false - unselecting

	var eid = 'Contact_Id' + pos;
	var isel = document.getElementById(eid);
	var chsel = isel.getElementsByTagName("a");
    if (! SELECTED_ITEMS[pos] || SELECTED_ITEMS[pos] == false)
	{
		isSelect = true;
		SELECTED_ITEMS[pos] = isSelect;
		isel.className="itemblock selected";
		chsel[0].className="item selected";
	}
	else
	{
		isSelect = false;
		SELECTED_ITEMS[pos] = isSelect;
		isel.className="itemblock unselected";
		chsel[0].className="item unselected";
	}

	if (SHIFT_KEY_PRESSED)
	{
		if (POS_LAST_CLICKED < pos)
		{
			for(var i = POS_LAST_CLICKED; i < pos; i++)
			{
				var eid = 'Contact_Id' + i;
				var isel = document.getElementById(eid);
		        var chsel = isel.getElementsByTagName("a");
				if(isSelect == true)
				{
            		isel.className="itemblock selected";
		            chsel[0].className="item selected";
		        }
				else
				{
					isel.className="itemblock unselected";
					chsel[0].className="item unselected";
				}
				
				SELECTED_ITEMS[i] = isSelect;
			}
		}
		else
		if (POS_LAST_CLICKED > pos)
		{
			for(var i = pos + 1; i <= POS_LAST_CLICKED; i++)
			{
				var eid = 'Contact_Id' + i;
				var isel = document.getElementById(eid);
		        var chsel = isel.getElementsByTagName("a");
				if(isSelect == true)
            	{
            		isel.className="itemblock selected";
		            chsel[0].className="item selected";
				}
				else
				{
					isel.className="itemblock unselected";
					chsel[0].className="item unselected";
			    }
			    				
				SELECTED_ITEMS[i] = isSelect;
			}
	    }
		invokeSelectionChanged(POS_LAST_CLICKED, pos, isSelect);
	}
	else
	{
		invokeSelectionChanged(pos, pos, isSelect);
	}  

	POS_LAST_CLICKED = pos;

	return false;  // cancel bubble
}



function listenDocKeydown(ev)
{
    if(!ev) ev = window.event;  // IE fix
    if(ev.keyCode == 16)  // shift key event
    {
       SHIFT_KEY_PRESSED = true;
    }
}



function listenDocKeyup(ev)
{
    if(!ev) ev = window.event;  // IE fix
    if(ev.keyCode == 16)  // shift key event
    {
       SHIFT_KEY_PRESSED = false;
    }
}



window.onload = function()
{
    document.onkeydown = listenDocKeydown;
    document.onkeyup = listenDocKeyup;
}
